Bug 817795 - Kickstart template preview
Kickstart template preview
Status: NEW
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
UX
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 06:30 EDT by Dan Callaghan
Modified: 2015-11-18 00:47 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 986177 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2012-05-01 06:30:16 EDT
It would be nice if we had some kind of "dry run" page for previewing kickstart templates. It would accept a template and return the rendered version back to the user (without storing it or anything). Users could test their custom kickstarts. Admins could test their snippets.

I'm picturing a big textarea containing the template on one half of the page, and a live(ish?) preview of the resulting kickstart beside it.
Comment 1 Nick Coghlan 2012-10-17 00:38:16 EDT
Bulk reassignment of issues as Bill has moved to another team.
Comment 3 Dan Callaghan 2013-07-18 21:10:17 EDT
Implementing this as a command-line tool (to be run on the Beaker server) would certainly be much easier than building a web interface for it. The tool could just accept a path to the experimental templates, which would override the real templates (it can just be smooshed onto the start of the ChoiceLoader on template_env).
Comment 4 Dan Callaghan 2013-07-18 21:11:02 EDT
(In reply to Dan Callaghan from comment #3)

... but note that that only address half this RFE (the admin side of things), it doesn't help ordinary users who want to test out custom kickstart templates.
Comment 5 John W. Lockhart 2013-07-18 21:23:18 EDT
Some form of REST/xmlrpc call, on the other hand, would work for some of the ordinary users as well -- presumably with some form of authentication.  A web UI, while nice for casual use, wouldn't be as convenient for diffs and other work to fix up a troublesome template.
Comment 6 Dan Callaghan 2013-07-19 02:55:10 EDT
This command-line template debugging tool is a great idea, but it's pretty far from what I was originally imagining for this RFE. So I've cloned it as bug 986177 and proposed it for Beaker 0.15.

Note You need to log in before you can comment on or make changes to this bug.